

Name:           cronjob-hblock
Version:        3.4.4
Release:        %mkrel 1
Summary:        Weekly cronjob to update your hosts file against bad domains
License:        GPLv2
Group:          Tweaks
URL:            http://www.pclinuxos.com/
Source0:        hblock.cron
Source1:        hblock
Source2:        whitelist.list
Source3:        hosts.ORG
BuildArch:      noarch
Requires:       curl
Requires:       wget

%description
This package will setup a weekly cronjob gets a list of domains that serve ads,
tracking scripts and malware from multiple sources and creates an /etc/hosts file
that prevents your system from connecting to them. 

1. Download lists from multiple sources
2. Creates an /etc/hosts file
3. Restarts the network connection to use the new host file

Source: https://github.com/hectorm/hblock


%files
%{_bindir}/hblock
%config(noreplace) %{_sysconfdir}/cron.weekly/hblock.cron
%config(noreplace) %{_sysconfdir}/hblock.d/whitelist.list
%config(noreplace) %{_sysconfdir}/hosts.ORG
#--------------------------------------------------------------------

%prep
#Nothing to do here

%build
#Nothing to do here

%install
rm -rf %buildroot

install -Dm 0755 %SOURCE0 %buildroot/%{_sysconfdir}/cron.weekly/hblock.cron
install -Dm 0755 %SOURCE1 %buildroot/%{_bindir}/hblock
install -Dm 0644 %SOURCE2 %buildroot/%{_sysconfdir}/hblock.d/whitelist.list
install -Dm 0644 %SOURCE3 %buildroot/%{_sysconfdir}/hosts.ORG

%changelog
* Wed Feb 14 2024 tex - 3.4.4-1pclos2024
- new version

* Sun Feb 05 2023 tex - 3.4.1-1pclos2023
- new version

